Package org.optaplanner.benchmark.impl.ranking

## Class TotalRankSolverRankingWeightFactory

- java.lang.Object
- - org.optaplanner.benchmark.impl.ranking.TotalRankSolverRankingWeightFactory

- All Implemented Interfaces:
    `SolverRankingWeightFactory`

      public class TotalRankSolverRankingWeightFactory
      extends Object
      implements SolverRankingWeightFactory

  This `SolverRankingWeightFactory` orders a `SolverBenchmarkResult` by how many times each of its `SingleBenchmarkResult`s beat `SingleBenchmarkResult`s of the other `SolverBenchmarkResult`. It maximizes the overall ranking.

  When the inputSolutions differ greatly in size or difficulty, this often produces a difference in `Score` magnitude between each `PlanningSolution`. For example: score 10 for dataset A versus 1000 for dataset B. In such cases, this ranking is more fair than `TotalScoreSolverRankingComparator`, because in this ranking, dataset B wouldn't marginalize dataset A.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TotalRankSolverRankingWeightFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Comparable` | `createRankingWeight​(List<SolverBenchmarkResult> solverBenchmarkResultList, SolverBenchmarkResult solverBenchmarkResult)` | The ranking function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TotalRankSolverRankingWeightFactory

          public TotalRankSolverRankingWeightFactory()

  - ### Method Detail

    - #### createRankingWeight

          public Comparable createRankingWeight​(List<SolverBenchmarkResult> solverBenchmarkResultList,
                                                SolverBenchmarkResult solverBenchmarkResult)

      Description copied from interface: `SolverRankingWeightFactory`
      The ranking function. Takes the provided solverBenchmarkResultList and ranks them.
      Specified by:
        `createRankingWeight` in interface `SolverRankingWeightFactory`
      Parameters:
        `solverBenchmarkResultList` - never null
        `solverBenchmarkResult` - never null
      Returns:
        never null